Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 5)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 7, 8, 9 ... 19, 20, 21  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Thu Dec 23, 2010 6:34 pm    Post subject: Reply with quote

Voltago,
Thanks much. :) That fixed it on 4.5.90. Now to try it on my kde-live partition.

One thing- when I rebooted, since I had gotten a better video card last week I tried to switch to opengl rendering in Desktop effects (like I have on my portage kde-4.5.4 partition, which with the new card now works fine), but that was minor disaster. Screen was totally corrupted, tearing horribly with the graphics completely distorted and unusable- couldn't even get into system settings enough to make adjustments. Mouse and keyboard eventually wouldn't respond reliably (even when you could get a lock on any button).

Had to cold boot into xfce4, where I could open kde system settings cleanly, and change back to xrender, which seems to have resolved things.

Really like the new 4.5.90 default wallpaper. 8)
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri Dec 24, 2010 1:02 am    Post subject: Reply with quote

I have similar problem (although ctrl+shift+f12 was enough to disable desktop effects). Although for me XRender fails too. I simply cannot force the effects to run without ruining my desktop.

I have mesa-9999 with r600g driver, if that information could be useful somehow.

[EDIT] OK, last mesa did it. Switching back to r600 solved the issue for myself.
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Fri Dec 24, 2010 4:03 am    Post subject: Reply with quote

Thanks Lustmored,
I'll check that mesa version if need be- so far so good with XRender.

Just got my kde-live 9999 updates back up and running- pretty nice. :D Had to jump through a few PyQt4/pykde4 hoops, synced the overlay and found the kdelibs-4.4.3-mimetypes.patch problem I mentioned above is now fixed with a new kdelibs-4.5.90-mimetypes.patch in the kdelibs ebuild.

Still have the same old ksystemlog failure- is this ever going to be addressed by devs? :roll: But, it's not a show-stopper, so can't complain too much for 9999's.

Do have a kdm problem- it hangs at the splash on the last item, and won't boot into a desktop. :? Anyone know what's happing with that?

Changed to gdm in /etc/conf.d/xdm, and that boots Version 4.6.40 (4.7 >= 20101222) fine. Seems to be working smoothly so far. Try the "Horos" wallpaper in right-click Desktop Settings- a very nice and fresh look! :)
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1599
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Fri Dec 24, 2010 8:46 am    Post subject: Reply with quote

Powerdevil is working. My Performance profile defaulted to suspend the system after 99 minutes after I upgraded to 4.6.9999 branch. ;)

Seemed a little buggy at first too unselecting "Suspend Session", it kept reselecting itself after applying and viewing other profiles. It is unselected after closing the settings and looking again.

The good news is that the box affected apparently has a working suspend where another I have likes to suspend but has no method of un-suspending. ;)

So just a warning to anyone that doesn't' want their up-all-the-time box to go to sleep.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 863
Location: Berlin

PostPosted: Fri Dec 24, 2010 11:27 am    Post subject: Reply with quote

Someone knows how to install kdepim beta3? Is there already an ebuild in the overlay?
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri Dec 24, 2010 11:27 am    Post subject: Reply with quote

firephoto wrote:
Powerdevil is working. My Performance profile defaulted to suspend the system after 99 minutes after I upgraded to 4.6.9999 branch. ;)

Seemed a little buggy at first too unselecting "Suspend Session", it kept reselecting itself after applying and viewing other profiles. It is unselected after closing the settings and looking again.

The good news is that the box affected apparently has a working suspend where another I have likes to suspend but has no method of un-suspending. ;)

So just a warning to anyone that doesn't' want their up-all-the-time box to go to sleep.


I certainly don't have such problem - my notebook was working hard all this night long, and I've checked that there is unchecked "Suspend session" in PowerDevil.

@himpierre: there are no ebuilds yet. One can try simply renaming and digesting (as I will probably try when find enough time). And probably the problem is tars are so-called "4.6_beta3", which is not KDE way of versioning, so I don't know if kde-base.eclass will handle it nicely :D

[EDIT] I've repacked the kdepim-4.6_beta3 to be kdepim-4.5.90 (and runtime package also), put that in distfiles, than run:

Quote:
./Documentation/maintainers/bump_new_revision.sh -a bump -s 4.6 -v 9999 -b 4.5.90 -l kdepim


in kde overlay directory. Than I've copied all created ebuilds to my own overlay (not to have mess). Everything so far went smooth - will give you all a sign if there will be no compilation issues.

BTW: New kde-env fails for me
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Fri Dec 24, 2010 12:19 pm    Post subject: Reply with quote

Lustmored wrote:
BTW: New kde-env fails for me

yep:
Code:
>> Install kde-env-4.5.90-r1 into /var/tmp/portage/kde-base/kde-env-4.5.90-r1/image/ category kde-base
!!! doexe: 11-xdg-menu-kde-4.6 does not exist
doexe failed

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1599
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Fri Dec 24, 2010 5:37 pm    Post subject: Reply with quote

The powerdevil issues is on a desktop system and I had changed profile settings in the past so it could be related to that but I have never set a desktop system to automatically suspend.

This is only for the performance profile, which by default is automatically active when on AC power.

My guess is if it's not a new default then one of the old config values changed or just got corrupted from the upgrade.

It's not a big deal but I know I'd not be the only one to be surprised by a sleeping desktop system that was inactive for a while.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Fri Dec 24, 2010 7:01 pm    Post subject: Reply with quote

does anyone know when all the ebuilds are going to be finished uploading?
im still missing a bunch of 4.6.90s needed to emerge kde-meta
_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri Dec 24, 2010 11:13 pm    Post subject: Reply with quote

kdepim-4.6_beta3 runs really great. Even there is finally tray icon with amount of unread messages!

For anyone interested:

- go to http://gentoo.whyblack.pl/
- kde-base.tar.bz2 is a file with kde-base directory of my overlay - unpack it to your local overlay
- kdepim-4.5.90 and kdepim-runtime-4.5.90 are files to be put in distfiles. You need to do that manually as I've not changed ebuilds download URL.
- emerge and enjoy :)

You may ask why I've called it 4.5.90 while official numbering is .93? Well that's an easy answer - whenever gentoo kde team will release "official" ebuilds for that ones portage should automatically want to update it to .93. And .90 is minimum required for kde-meta.4.5.90

And - of course - I am not the one reliable, so keep in mind all of that work may be completely screwed and is only for testing purposes.

Enjoy :)

[EDIT] With new sip / PyQt4 - pykde4 fails:
Quote:
[ 1%] [ 2%] Scanning dependencies of target compile_python_files
[ 3%] Generating sip/akonadi/sipakonadipart0.cpp, sip/akonadi/sipakonadipart1.cpp, sip/akonadi/sipakonadipart2.cpp, sip/akonadi/sipakonadipart3.cpp, sip/akonadi/sipakonadipart4.cpp, sip/akonadi/sipakonadipart5.cpp, sip/akonadi/sipakonadipart6.cpp, sip/akonadi/sipakonadipart7.cpp
[ 3%] Generating sip/dnssd/sipdnssdpart0.cpp, sip/dnssd/sipdnssdpart1.cpp, sip/dnssd/sipdnssdpart2.cpp, sip/dnssd/sipdnssdpart3.cpp, sip/dnssd/sipdnssdpart4.cpp, sip/dnssd/sipdnssdpart5.cpp, sip/dnssd/sipdnssdpart6.cpp, sip/dnssd/sipdnssdpart7.cpp
Generating sip/kdecore/sipkdecorepart0.cpp, sip/kdecore/sipkdecorepart1.cpp, sip/kdecore/sipkdecorepart2.cpp, sip/kdecore/sipkdecorepart3.cpp, sip/kdecore/sipkdecorepart4.cpp, sip/kdecore/sipkdecorepart5.cpp, sip/kdecore/sipkdecorepart6.cpp, sip/kdecore/sipkdecorepart7.cpp


Generating sip/kdeui/sipkdeuipart0.cpp, sip/kdeui/sipkdeuipart1.cpp, sip/kdeui/sipkdeuipart2.cpp, sip/kdeui/sipkdeuipart3.cpp, sip/kdeui/sipkdeuipart4.cpp, sip/kdeui/sipkdeuipart5.cpp, sip/kdeui/sipkdeuipart6.cpp, sip/kdeui/sipkdeuipart7.cpp




[ 3%] Built target compile_python_files
[ 4%] Generating sip/khtml/sipkhtmlpart0.cpp, sip/khtml/sipkhtmlpart1.cpp, sip/khtml/sipkhtmlpart2.cpp, sip/khtml/sipkhtmlpart3.cpp, sip/khtml/sipkhtmlpart4.cpp, sip/khtml/sipkhtmlpart5.cpp, sip/khtml/sipkhtmlpart6.cpp, sip/khtml/sipkhtmlpart7.cpp

sip: /var/tmp/paludis/kde-base-pykde4-4.5.90/work/pykde4-4.5.90/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/dnssd/sipdnssdpart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_dnssd.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
sip: /var/tmp/paludis/kde-base-pykde4-4.5.90/work/pykde4-4.5.90/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/kdecore/sipkdecorepart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/all] Error 2
sip: /var/tmp/paludis/kde-base-pykde4-4.5.90/work/pykde4-4.5.90/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/khtml/sipkhtmlpart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_khtml.dir/all] Error 2
sip: /var/tmp/paludis/kde-base-pykde4-4.5.90/work/pykde4-4.5.90/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/akonadi/sipakonadipart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_akonadi.dir/all] Error 2

Error:
* In program cave --log-level warning perform install --hooks --managed-output --output-exclusivity with-others =kde-base/pykde4-4.5.90:4.6::kde --destination installed --replacing =kde-base/pykde4-4.5.90:4.6::installed --x-of-y 1 of 1:
* When installing 'kde-base/pykde4-4.5.90:4.6::kde' replacing { 'kde-base/pykde4-4.5.90:4.6::installed' }:
* When running an ebuild command on 'kde-base/pykde4-4.5.90:4.6::kde':
* Install failed for 'kde-base/pykde4-4.5.90:4.6::kde' (paludis::ActionFailedError)

sip: /var/tmp/paludis/kde-base-pykde4-4.5.90/work/pykde4-4.5.90/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/kdeui/sipkdeuipart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdeui.dir/all] Error 2
make: *** [all] Error 2
/usr/libexec/paludis/utils/emake: emake returned error 2

!!! ERROR in kde-base/pykde4-4.5.90::kde:
!!! In cmake-utils_src_make at line 2118
!!! Make failed!

!!! Call stack:
!!! * cmake-utils_src_make (/var/tmp/paludis/kde-base-pykde4-4.5.90/temp/loadsaveenv:2118)
!!! * enable_cmake-utils_src_compile (/var/tmp/paludis/kde-base-pykde4-4.5.90/temp/loadsaveenv:3289)
!!! * _execute_optionaly (/var/tmp/paludis/kde-base-pykde4-4.5.90/temp/loadsaveenv:950)
!!! * cmake-utils_src_compile (/var/tmp/paludis/kde-base-pykde4-4.5.90/temp/loadsaveenv:2099)
!!! * kde4-base_src_compile (/var/tmp/paludis/kde-base-pykde4-4.5.90/temp/loadsaveenv:4851)
!!! * kde4-meta_src_compile (/var/tmp/paludis/kde-base-pykde4-4.5.90/temp/loadsaveenv:5218)
!!! * src_compile (/var/tmp/paludis/kde-base-pykde4-4.5.90/temp/loadsaveenv:8093)
!!! * ebuild_f_compile (/usr/libexec/paludis/2/src_compile.bash:56)
!!! * ebuild_main (/usr/libexec/paludis/ebuild.bash:648)
!!! * main (/usr/libexec/paludis/ebuild.bash:676)

diefunc: making ebuild PID 18726 exit with error
die trap: exiting with error.
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 863
Location: Berlin

PostPosted: Sat Dec 25, 2010 7:24 am    Post subject: Reply with quote

Hi Lustmored.

Thanks for your work but i don't get your overlay bz2 unpacked. Sure everything is okay with that archive?

cheers
h.
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 863
Location: Berlin

PostPosted: Sat Dec 25, 2010 11:19 am    Post subject: Reply with quote

himpierre wrote:
Hi Lustmored.

Thanks for your work but i don't get your overlay bz2 unpacked. Sure everything is okay with that archive?

cheers
h.
http://gentoo.whyblack.pl/kdepim-runtime-4.5.90.tar.bz2

Sorry, my fault. Maybe internetconnection.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sat Dec 25, 2010 1:34 pm    Post subject: Reply with quote

As I said - something might be wrong, it just worked for myself so I've decided to share it :)
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Sat Dec 25, 2010 2:02 pm    Post subject: Reply with quote

digikam 1.7.0 and kipiplugins 1.7.0 are out. Unfortunately, they are not in portage or layman yet:

http://www.digikam.org/
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sat Dec 25, 2010 5:25 pm    Post subject: Reply with quote

Don't expect too much over the christmas holidays, also waiting for kde-env-4.5.90 to get fixed. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Geos_One
Apprentice
Apprentice


Joined: 15 Sep 2005
Posts: 250
Location: Austria,Graz

PostPosted: Sat Dec 25, 2010 5:48 pm    Post subject: Reply with quote

genstorm wrote:
Don't expect too much over the christmas holidays, also waiting for kde-env-4.5.90 to get fixed. ;)


i already have fixed this prblems in my personal overlay

the howto ad this overlay is here

http://linamh.disconnected-by-peer.at/wiki/LinuxAdministratorsHeaven
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sat Dec 25, 2010 5:50 pm    Post subject: Reply with quote

thx, but I just fixed it myself looking at bugzilla.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 863
Location: Berlin

PostPosted: Sun Dec 26, 2010 11:07 am    Post subject: Reply with quote

Someone has desktop effects running? Mine are disabled at startup. Kwin complaining my system is too slow. It's an asus eee 1215N.

cheers
h.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sun Dec 26, 2010 11:21 am    Post subject: Reply with quote

Have you disabled functionality checks?

pykde4-4.5.90 failure: According to this bug report, try to rebuild PyQt4 with +declarative. Compiling now, but it will take some time. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sun Dec 26, 2010 1:40 pm    Post subject: Reply with quote

And also try in .kde4/share/config/kwinrc set:

Quote:
OpenGLIsUnsafe=false


It've solved similar (and quite hard to target) problem here.
Back to top
View user's profile Send private message
hf.farhad
n00b
n00b


Joined: 18 Oct 2010
Posts: 9

PostPosted: Sun Dec 26, 2010 4:31 pm    Post subject: kdepim* is moved to git! Reply with quote

Hi, kdepim is moved to git, but the kde overlay tries to checkout from svn and fails! I tried to change eclasses, but I could'nt make it work....
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Sun Dec 26, 2010 5:24 pm    Post subject: Reply with quote

So, is it the consensus that if OpenGL is selected in Desktop effects-> advanced tab, it is preferred to disable functionality checks, and to make sure that in kde4/share/config/kwinrc OpenGLIsUnsafe=false is set?

I've found that with my old Radeon HD 3300 onboard graphics OpenGL was essentially unusable, so I've used XRender for all this time.

However, last week I upgraded to a Radeon HD 4670 1GB DDR3 video card. Strangely, with 3 Gentoo installs on this box one ~x86 worked with OpenGL, but on both my other ~x86 and ~amd64 installs I had trouble (unresolved- had to use XRender).

On all three installs (using the open source ~arch ATI driver) I can only activate 3-4 basic effects. All others seem to trigger a "can't activate this effect" result.

I would have thought that the 4670 1GB DDR3 card would run most of the effects OK, but apparently not? Or was it that not disabling functionality checks somehow causes this? In other words, is it a known fact that disable functionality checks needs to be checked, and I just missed that all this time?

All 3 xorg logs are totally clean- no errors or even warnings. Or is my problem simply a factor of using the open source ati driver?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental


Last edited by wrc1944 on Sun Dec 26, 2010 8:18 pm; edited 1 time in total
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 863
Location: Berlin

PostPosted: Sun Dec 26, 2010 5:34 pm    Post subject: Reply with quote

Kwin is now running with desktop effects. I had to switch to "Xrender". Don't know why "opengl" is failing.
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Sun Dec 26, 2010 8:17 pm    Post subject: Reply with quote

@hf.farhad,
TheDodger on top of P.6 of this thread had an ebuild edit that solved your git problem, but I think if you sync the overlay it was fixed a few days ago.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sun Dec 26, 2010 10:13 pm    Post subject: Reply with quote

I can't get OpenGL rendering to work since 4.5.0, unfortunately (i915 live)...
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 7, 8, 9 ... 19, 20, 21  Next
Page 8 of 21

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum